<!DOCTYPE html>
<html lang="en">
<head>
    
    <?php 
    $ga_tracking_id = get_option( 'wplb_ga_tracking_id' );
    if ( $ga_tracking_id ) : 
    ?>
    
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=<?php echo $ga_tracking_id; ?>"></script>
    <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());

    gtag('config', '<?php echo $ga_tracking_id; ?>');
    </script>
    
    <?php endif; ?>
    
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title><?php echo esc_html($post->post_title); ?></title>

    <?php
    $gtm_code = get_option( 'wplb_gtm_code' );
    if ( $gtm_code ) :
    ?>

    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
    new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
    j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
    'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','<?php echo $gtm_code; ?>');</script>
    <!-- End Google Tag Manager -->

    <?php endif; ?>

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo plugin_dir_url(__FILE__); ?>css/wp-link-bio.css">

    <style>
    body {
        background-color: <?php echo get_option( 'wplb_body_bg_color', '#fff' ); ?>;
    }
    .wrapper .links a {
        background-color: <?php echo get_option( 'wplb_body_link_color', '#000' ); ?>;
        color: <?php echo get_option( 'wplb_body_bg_color', '#fff' ); ?>;
    }
    </style>

</head>
<body>

<?php
$gtm_code = get_option( 'wplb_gtm_code' );
if ( $gtm_code ) :
?>

<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=<?php echo $gtm_code; ?>"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<?php endif; ?>

<div class="wrapper">
    <div class="header">
        <a href="<?php echo site_url(); ?>" title="<?php bloginfo('blogname'); ?>">
            <?php
            $logo_url = get_option( 'wplb_logo_url' );
            if ( $logo_url ) :
            ?>
            <img src="<?php echo $logo_url; ?>" alt="<?php bloginfo('blogname'); ?>" class="logo" />
            <?php else : ?>
            <?php bloginfo('blogname'); ?>
            <?php endif; ?>
        </a>
    </div>

    <?php
    $posts_per_page = get_option( 'wplb_num_posts', 10);
    $stick_posts = get_option('stick_posts');
    $posts = new WP_Query(
        [
            'post_type' => 'post',
            'posts_per_page' => $posts_per_page - count($stick_posts),
        ]
    );
    ?>

    <section class="feed">
        <?php while ( $posts->have_posts() ) : 
            $posts->the_post(); 
            $thumb = wp_get_attachment_image_src( get_post_thumbnail_id() );
            $post_url = get_permalink() . '?utm_source=instagram&utm_medium=post&utm_campaign=WP-Link-Bio';
        ?>
        <div class="post">
            <a href="<?php echo esc_url( $post_url ); ?>">
                <h2 class="post-title"><?php the_title(); ?></h2>
                <?php if ( $thumb ) : ?>
                    <img src="<?php echo $thumb[0]; ?>" alt="<?php the_title(); ?>" class="responsive-image">
                <?php endif; ?>
            </a>
        </div>
        <?php endwhile; wp_reset_postdata(); ?>
    </section>

    <footer class="credits">
        Powered by <a href="https://blastmkt.com/wp-link-bio/?utm_source=<?php echo site_url(); ?>&utm_medium=footer-link&utm_campaign=wp_link_bio_footer_link">WP Link Bio</a>.
    </footer>
</div>
</body>
</html>