<!DOCTYPE html>
<html lang="en">
<head>
    
    <?php 
    $ga_tracking_id = get_option( 'wplb_ga_tracking_id' );
    if ( $ga_tracking_id ) : 
    ?>
    
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=<?php echo $ga_tracking_id; ?>"></script>
    <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());

    gtag('config', '<?php echo $ga_tracking_id; ?>');
    </script>
    
    <?php endif; ?>
    
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title><?php echo esc_html($post->post_title); ?></title>

    <?php
    $gtm_code = get_option( 'wplb_gtm_code' );
    if ( $gtm_code ) :
    ?>

    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
    new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
    j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
    'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','<?php echo $gtm_code; ?>');</script>
    <!-- End Google Tag Manager -->

    <?php endif; ?>

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo plugin_dir_url(__FILE__); ?>css/wp-link-bio.css">

    <style>
    body {
        background-color: <?php echo get_option( 'wplb_body_bg_color', '#fff' ); ?>;
    }

    <?php if ( $link_color = get_option( 'wplb_body_link_color' ) ) : ?>
    .wrapper .links a {
        border: 2px solid <?php echo $link_color; ?>;
        background-color: <?php echo $link_color; ?>;
    }
    .wrapper .links a:hover,
    .wrapper .links a:focus {
        background-color: transparent;
        color: <?php echo $link_color; ?>;
    }
    <?php endif; ?>
    </style>

</head>
<body>

<?php
$gtm_code = get_option( 'wplb_gtm_code' );
if ( $gtm_code ) :
?>

<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=<?php echo $gtm_code; ?>"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<?php endif; ?>

<div class="wrapper">
    <div class="header">
        <a href="<?php echo site_url(); ?>" title="<?php bloginfo('blogname'); ?>">
            <?php
            $logo_url = get_option( 'wplb_logo_url' );
            if ( $logo_url ) :
            ?>
            <img src="<?php echo $logo_url; ?>" alt="<?php bloginfo('blogname'); ?>" class="logo" />
            <?php else : ?>
            <?php bloginfo('blogname'); ?>
            <?php endif; ?>
        </a>
    </div>

    <?php
    $links = new WP_Query(
        [
            'post_type' => 'wp-link-bio',
            'order' => 'ASC',
            'orderby' => 'menu_order',
            'posts_per_page' => -1, // show all links
        ]
    );
    ?>

    <section class="links">

        <ul>
            <?php while ( $links->have_posts() ) : 
                $links->the_post();

                $link_url = get_post_meta( get_the_ID(), 'wplb_link_url', true );

                if ( ! strpos( $link_url, 'wa.me' ) && ! strpos( $link_url, 'whatsapp' ) ) {
                    $post_url = esc_url( $link_url . '?utm_source=instagram&utm_medium=link&utm_campaign=WP-Link-Bio' );
                } else {
                    $post_url = esc_url( $link_url );
                }
            ?>
            <li>
                <a href="<?php echo $post_url; ?>" id="link-<?php the_ID(); ?>"><?php the_title(); ?></a>
            </li>
            <?php endwhile; wp_reset_postdata(); ?>
        </ul>

    </section>

    <footer class="credits">
        Powered by <a href="https://blastmkt.com/wp-link-bio/?utm_source=<?php echo site_url(); ?>&utm_medium=footer-link&utm_campaign=wp_link_bio_footer_link">WP Link Bio</a>.
    </footer>
</div>
</body>
</html>